package co.yixiang.yshop.module.order.convert.rechargepackage;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.rechargepackage.RechargePackageDO;
import co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo.RechargeAllConfigVO;

/**
 * 充值套餐配置 Convert
 *
 * @author admin
 */
@Mapper
public interface RechargePackageConvert {

    RechargePackageConvert INSTANCE = Mappers.getMapper(RechargePackageConvert.class);

    RechargePackageDO convert(RechargePackageCreateReqVO bean);

    RechargePackageDO convert(RechargePackageUpdateReqVO bean);

    RechargePackageUpdateReqVO convert(RechargePackageRespVO bean);

    RechargePackageRespVO convert(RechargePackageDO bean);

    List<RechargePackageRespVO> convertList(List<RechargePackageDO> list);

    PageResult<RechargePackageRespVO> convertPage(PageResult<RechargePackageDO> page);

    List<RechargePackageExcelVO> convertList02(List<RechargePackageDO> list);

}
